[
  {
    blockid=delete;
    title="\ud1a0\ub860 \uadf8\ub8f9 \uc0ad\uc81c";
    buttonsat=south;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.items=
      [
        "\ub85c\uceec",
        "\ubcf5\uc81c\ub428"
      ];
      .delete.options.labels=
      [
        "\uc774 \uc11c\ubc84\uc5d0\uc11c\ub9cc \uc0ad\uc81c",
        "\uc774 \uc11c\ubc84\uc640 \ubaa8\ub4e0 \ubcf5\uc81c\ub41c \uc11c\ubc84\uc5d0\uc11c \uc0ad\uc81c"
      ];
    };

    content=
    [ /* delete dialog contents */

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      } /* choice to delete locally or on all servers */

    ] /* delete dialog contents */
  },

  {
    blockid=layout.folders.node.delete.children;
    title="\ud1a0\ub860 \uadf8\ub8f9 \uc0ad\uc81c";
    buttonsat=south;
    resizable=true;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.border=[titled, "\uc0ad\uc81c \uc635\uc158"];
      .delete.options.items=
      [
        "\ub85c\uceec",
        "\ubcf5\uc81c\ub428"
      ];
      .delete.options.labels=
      [
        "\uc774 \uc11c\ubc84\uc5d0\uc11c\ub9cc \uc0ad\uc81c",
        "\uc774 \uc11c\ubc84\uc640 \ubaa8\ub4e0 \ubcf5\uc81c\ub41c \uc11c\ubc84\uc5d0\uc11c \uc0ad\uc81c"
      ];

      .delete.pattern.text = "\ud328\ud134\uacfc \uc77c\uce58\ud558\ub294 \ud604\uc7ac \uadf8\ub8f9\uc5d0 \uc788\ub294 \uadf8\ub8f9 \uc0ad\uc81c";
      .delete.pattern.label = "\ud328\ud134 \uc785\ub825 :";
      .label.size = 80;
      .delete.nodes.text = "\uc120\ud0dd\ud55c \uadf8\ub8f9 \uc0ad\uc81c";

      .select.all.text="\ubaa8\ub450 \uc120\ud0dd";
      .select.none.text="\uc120\ud0dd \uc548 \ud568";
    };

    content=
    [

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      }, /* choice to delete locally or on all servers */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete selected nodes */
        ctrl=togglepane;
        style=radio;
        group=deletenodes;
        text=$.delete.nodes.text;
        id=deletenodes;
        inline=false;
        content=
        [ /* delete selected nodes contents */

          { /* table and buttons */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* table and buttons contents */

              { /* nodes table */
                ctrl=table;
                id=nodestable;
                stdtable=false;
                showadd=false;
                showedit=false;
                showdelete=false;
                columns=
                [
                  {
                    header="";
                  }
                ];
              }, /* nodes table */

              { /* component space */
                ctrl=hstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* button array */
                ctrl=pane;
                layout=[ybox];
                content=
                [

                  { /* select all */
                    ctrl=button;
                    cmd=.select.all;
                    text=$.select.all.text;
                    id=selectallbtn;
                  }, /* select all */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* select none */
                    ctrl=button;
                    cmd=.select.none;
                    text=$.select.none.text;
                    id=selectnonebtn;
                  } /* select none */

                ];
              } /* button array */

            ]; /* table and buttons contents */
          }, /* table and buttons */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* status label */
            ctrl=label;
            text=$status.text;
            alignh=left;
            id=statustext;
          } /* status label */

        ]; /* delete selected nodes contents */
      }, /* delete selected nodes */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete pattern */
        ctrl=togglepane;
        style=radio;
        id=deletepatt;
        inline=false;
        group=deletenodes;
        text=$.delete.pattern.text;
        content=
        [ /* delete pattern contents */

          {
            ctrl=pane;
            layout=[xbox];
            content=
            [

              {
                ctrl=label;
                text=$.delete.pattern.label;
                wrap=$.label.size;
                id=deletepatternlabel;
                alignh=left;
                aligny=0.5;
              },

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              {
                ctrl=text;
                label=deletepatternlabel;
                aligny=0.5;
                id=deletepattern;
              }

            ]
          }

        ]; /* delete pattern contents */
      } /* delete pattern */

    ];
  }

]

